Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden

From: Robert Pluim <[email-masked]>
Date: Fri, 13 Oct 2017 11:58:00 +0200

martin rudalics <[email-masked]> writes:

>> See below
>>
>>> (setq frame-size-history '(100))
>>>
>>> disable vertical scroll bars and enable them again.  Then post the value
>>> of ‘frame-size-history’.
>
> Thanks.  Obviously the ConfigureNotify event triggering
>
>  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
> 	  (1494 1100 1494 998)
> 	  nil)
>
> is responsible but I have no idea where it comes from.  I suppose
> there's no such second event in the non-scaled scenario.  Please post
> the history for the non-scaled case so we can verify that.
>

non-scaled:

(87
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (set-window-configuration 1))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1386 1190 1386 1190)
	  (1402 1190 1415 1190))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1386 1190 1386 1190)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1386 1190 1386 1190)
	  (1415 1281))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1386 1190 1386 1190)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (vertical-scroll-bars 3))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1386 1190 1386 1190)
	  (1415 1190 1402 1190))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1386 1190 1386 1190)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1386 1190 1386 1190)
	  (1402 1281))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1386 1190 1386 1190)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (vertical-scroll-bars 3)))

> But what stupefies me just as much is that removing the vertical scroll
> bar apparently changes the text width from 1458 to 1476 in
>
>  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
> 	  (1458 1100 1476 1100)
> 	  nil)
>
> and then to 1494 in
>
>  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
> 	  (1476 1100 1494 1100)
> 	  nil)
>
> when removing the scroll bars.  Can you observe that increase?  Doesn't
> it mean that the frame also gets wider every time you toggle the scroll
> bars?

I don't observe that increase. The width of the frame after each
disable/enable cycle is unchanged as far as I can tell.

Robert